<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_28c85ce81fee6532980262893b6f" . "2425" => base64_decode("dXNl" . "cm5h" . "bWU="), "_8cca4dd34e20c5344bb2a30f" . "2533c4e5" => base64_decode("ZnVsbF9uYW1" . "l"), "user_" . "id" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["user" . "_id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8cca4dd34e20c" . "5344bb2a30f253" . "3c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_28c85ce81f" . "ee653298026" . "2893b6f2425"]);
    }
}